#ifdef GL_ES
precision mediump float;
#define PRECISION mediump
#else
#define PRECISION
#endif

uniform sampler2D colortex;

varying PRECISION vec2 vTexcoord;
varying PRECISION vec4 vColor;

void main() {
	vec4 c = texture2D(colortex, vTexcoord);
	gl_FragColor = vec4(mix(vColor.rgb, c.rgb, c.a), vColor.a);
}


