uniform mat4 projectionMatrix;
uniform mat4 modelviewMatrix;

attribute vec4 aPosition;
attribute vec2 aTexcoord;

varying vec2 vTexcoord;

void main()
{
	vTexcoord = aTexcoord;
    gl_Position = projectionMatrix*modelviewMatrix*aPosition;
}
