#ifdef GL_ES
precision mediump float;
#define PRECISION mediump
#else
#define PRECISION
#endif

varying PRECISION vec4 vColor;
varying PRECISION vec3 vNormal;


void main() {
	vec3 normal = normalize(vNormal);
 	float diffuse = dot(normal, normalize(vec3(-0.5,0.5,1.0))) * 0.3 + 0.65;	
	gl_FragColor = (pow(diffuse,2.0) * vColor + pow(diffuse,5.0)*0.5);


}


