#ifdef GL_ES
precision mediump float;
#define PRECISION mediump
#else
#define PRECISION
#endif

uniform mat4 projectionMatrix;
uniform mat4 modelviewMatrix;
uniform vec4 backgroundParams;

attribute vec4 aPosition;
attribute vec4 aColor;

varying vec4 vColor;

void main()
{
	vColor = sqrt(vec4(aColor.rgb,backgroundParams.a));
    gl_Position = projectionMatrix*modelviewMatrix*aPosition;
}
