#ifdef GL_ES
precision lowp float;
#define PRECISION lowp
#else
#define PRECISION
#endif

varying PRECISION vec2 vTexcoord;
varying PRECISION vec4 vColor;
uniform sampler2D colorTexture;

void main() {
	vec4 col = texture2D(colorTexture, vTexcoord);
	gl_FragColor = col * vColor;
}

