uniform mat4 projectionMatrix;
uniform mat4 modelviewMatrix;

attribute vec2 aPosition;
attribute vec4 aColor;

varying vec4 vColor;


void main()
{
	vColor = aColor;
    gl_Position = projectionMatrix*modelviewMatrix*vec4(aPosition,0.02,1.0);
}
