#ifdef GL_ES
precision mediump float;
#define PRECISION mediump
#else
#define PRECISION
#endif

varying PRECISION vec2 vTexcoordShadow;
varying PRECISION vec2 vTexcoordBackground;
varying PRECISION vec4 vColor;
uniform sampler2D shadowtex;
uniform sampler2D colortex;

void main() {
	gl_FragColor = texture2D(colortex, vTexcoordBackground) * texture2D(shadowtex, vTexcoordShadow) *vColor;
}


