#ifdef GL_ES
precision mediump float;
#define PRECISION mediump
#else
#define PRECISION
#endif

uniform mat4 projectionMatrix;
uniform mat4 modelviewMatrix;
uniform vec4 loadingScreenParams;

attribute vec4 aPosition;
attribute vec2 aTexcoord;

varying vec2 vTexcoord;
varying vec4 vColor;

void main()
{
	vTexcoord = (aTexcoord-0.5)*loadingScreenParams.xy+0.5;
	vColor = vec4(vTexcoord.yyy*0.25+0.75,loadingScreenParams.a);
    gl_Position = vec4(aPosition.xy,0.0,1.0);
}
