#ifdef GL_ES
precision mediump float;
#define PRECISION mediump
#else
#define PRECISION
#endif

varying PRECISION vec3 vNormal;
varying PRECISION vec2 vTexcoord;
uniform samplerCube reflectiontex;
uniform sampler2D colortex;


void main() {
	vec4 surface = texture2D(colortex, vTexcoord);


	vec3 normal = normalize(vNormal)+(surface.rgb-0.5)*0.1;
	vec4 reflection = textureCube(reflectiontex, reflect(vec3(0.0,0.0,-1.0),normal));
	gl_FragColor = reflection*0.5;
}


