#ifdef GL_ES
precision mediump float;
#define PRECISION mediump
#else
#define PRECISION
#endif

varying PRECISION vec4 vColor;
varying PRECISION vec3 vTexcoordShadow;
varying PRECISION vec2 vTexcoordBackground;
uniform sampler2D shadowtex;
uniform sampler2D colortex;

void main() {
	gl_FragColor = mix(vColor, texture2D(shadowtex, vTexcoordShadow.xy)-0.1, vTexcoordShadow.z*vTexcoordShadow.z) * texture2D(colortex, vTexcoordBackground);
}


